Bug 117679 - Bind should keep named.ca up2date with script
Bind should keep named.ca up2date with script
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: bind (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
: EasyFix, Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-06 20:11 EST by Petri T. Koistinen
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-05 22:36:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Petri T. Koistinen 2004-03-06 20:11:06 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040122 Debian/1.6-1

Description of problem:
Bind should ship with script like this:

$ cat /etc/cron.monthly/update-named.ca-file.sh
#!/bin/sh
                                                                     
                                                                 
cd /root
wget --quiet --passive-ftp ftp://ftp.internic.net/domain/named.cache
cp /var/named/named.ca /var/named/named.ca.old
mv named.cache /var/named/named.ca
diff -u /var/named/named.ca.old /var/named/named.ca


Version-Release number of selected component (if applicable):
bind-9.2.3-8

How reproducible:
Always

Steps to Reproduce:
1. Notice that named.ca is changed.
2. Develop automatic named.ca update mechanism.
    

Additional info:
Comment 1 Petri T. Koistinen 2004-03-21 08:08:39 EST
this can be a security issue too.
Comment 2 Daniel Walsh 2004-04-05 22:36:17 EDT
We probably can try to update it via regular updates.

Note You need to log in before you can comment on or make changes to this bug.